centos系统本身默认安装有python2.x,版本x根据不同版本系统有所不同,可通过 python --V 或 python --version 查看系统自带的python版本

有一些系统命令时需要用到python2,不能卸载

一、安装依赖包

1)首先安装gcc编译器,gcc有些系统版本已经默认安装,通过 gcc --version 查看,没安装的先安装gcc

yum -y install gcc

2)安装其它依赖包,(注:不要缺少,否则有可能安装python出错,python3.7.0以下的版本可不装 libffi-devel )

yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel

二、下载python3.7.0源码,根据需求下载

  • 1、选择想要的版本

https://www.python.org/ftp/python/中选择自己需要的python源码包,我下载的是python3.7.0

(大家也可以去https://www.python.org/downloads/,选择自己想要的版本下载)

py3版本.png

三、建立一个空文件夹,用于存放python3程序

       

mkdir /usr/local/python3 

四、执行配置文件,编译,编译安装

           

cd Python-3.7.0
./configure --prefix=/usr/local/python3
make && make install

安装完成没有提示错误便安装成功了

五、建立软连接

                     

ln -s /usr/local/python3/bin/python3.7 /usr/bin/python3
ln -s /usr/local/python3/bin/pip3.7 /usr/bin/pip3